crazy depencies are falsely needed

Bug #630730 reported by Alain Baeckeroot
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alacarte (Ubuntu)
Fix Released
Low
Unassigned

Bug Description

Binary package hint: alacarte

After deinstalling 3 paquets, aptitude ask for 30 (thirty) paquets to reinstall !

Xubuntu Karmic (upgraded from Jaunty long ago)

As alacarte do not work, i just uninstalled it :
$ aptitude remove alacarte
  ...
  Les paquets suivants seront ENLEVÉS : (the following paquets will be REMOVED):
  alacarte gnome-menus{u} python-gmenu{u}

It removes 3 (three) paquets only.

Then i reinstall it and it ask for 64MB downloads and 30 (thirty) paquets

$ sudo LANG=en aptitude install alacarte
[sudo] password for alter:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following NEW packages will be installed:
  alacarte capplets-data{a} evolution-data-server{a} evolution-data-server-common{a} gnome-about{a} gnome-applets{a} gnome-applets-data{a} gnome-control-center{a} gnome-panel{a}
  gnome-panel-data{a} gnome-session{a} gnome-settings-daemon{a} indicator-applet{a} indicator-messages{a} libatspi1.0-0{a} libdbusmenu-glib0{a} libdbusmenu-gtk0{a} libebackend1.2-0{a}
  libedata-book1.2-2{a} libedata-cal1.2-6{a} libedataserverui1.2-8{a} libegroupwise1.2-13{a} libgdata-google1.2-1{a} libgdata1.2-1{a} libgnome-window-settings1{a} mousetweaks{a} nautilus{a}
  nautilus-data{a} screen-resolution-extra{a} ubuntu-system-service{a}
0 packages upgraded, 30 newly installed, 0 to remove and 0 not upgraded.
Need to get 6258kB/6316kB of archives. After unpacking 93.5MB will be used.
Do you want to continue? [Y/n/?] n
Abort.

My laptop was updated regurlarly, and never had evolution. There is something broken in the dependencies of alacarte.

ProblemType: Bug
Architecture: i386
Date: Sun Sep 5 11:48:04 2010
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx
Package: alacarte (not installed)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-22.63-generic
SourcePackage: alacarte
Uname: Linux 2.6.31-22-generic i686

Revision history for this message
Alain Baeckeroot (alain-baeckeroot) wrote :
Revision history for this message
Charlie Kravetz (charlie-tca) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. However, I am closing it because the bug has been fixed in the latest development version of Ubuntu - Maverick Meerkat. It won't be fixed in previous versions of Ubuntu because the package doesn't fit the requirements for backporting. See https://help.ubuntu.com/community/UbuntuBackports for more information.

Changed in alacarte (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers